Imports System.IO
Imports EgtUILib

Public Class ProjectFileM

   'Protected m_nProjectType As ProjectType
   'Public ReadOnly Property nProjectType As ProjectType
   '   Get
   '      Return m_nProjectType
   '   End Get
   'End Property
   'Public Sub SetProjectType(nProjectType As ProjectType)
   '   m_nProjectType = nProjectType
   'End Sub

   Protected m_nProjId As Integer = 0
   Public ReadOnly Property nProjId As Integer
      Get
         Return m_nProjId
      End Get
   End Property

   Protected m_nProdId As Integer = 0
   Public ReadOnly Property nProdId As Integer
      Get
         Return m_nProdId
      End Get
   End Property

   Protected m_dtCreateDate As DateTime
   Public ReadOnly Property dtCreateDate As DateTime
      Get
         Return m_dtCreateDate
      End Get
   End Property

   Protected m_bIsNew As Boolean
   Public Property bIsNew As Boolean
      Get
         Return m_bIsNew
      End Get
      Set(value As Boolean)
         m_bIsNew = value
      End Set
   End Property

   Protected m_bIsLocked As Boolean
   Public Property bIsLocked As Boolean
      Get
         Return m_bIsLocked
      End Get
      Set(value As Boolean)
         m_bIsLocked = value
      End Set
   End Property

   Protected m_nType As BWType
   Public Property nType As BWType
      Get
         Return m_nType
      End Get
      Set(value As BWType)
         m_nType = value
      End Set
   End Property

   Protected m_sMachine As String
   Public Property sMachine As String
      Get
         Return m_sMachine
      End Get
      Set(value As String)
         m_sMachine = value
      End Set
   End Property

   Protected m_sLockedBy As String
   Public Property sLockedBy As String
      Get
         Return m_sLockedBy
      End Get
      Set(value As String)
         m_sLockedBy = value
      End Set
   End Property

   Protected m_dtLock As DateTime
   Public Property dtLock As DateTime
      Get
         Return m_dtLock
      End Get
      Set(value As DateTime)
         m_dtLock = value
      End Set
   End Property

   Protected m_bIsActive As Boolean
   Public Property bIsActive As Boolean
      Get
         Return m_bIsActive
      End Get
      Set(value As Boolean)
         m_bIsActive = value
      End Set
   End Property

   Protected m_bIsArchived As Boolean
   Public Property bIsArchived As Boolean
      Get
         Return m_bIsArchived
      End Get
      Set(value As Boolean)
         m_bIsArchived = value
      End Set
   End Property

#Region "CONSTRUCTORS"

#End Region    ' CONSTRUCTORS

End Class